commit 781a94eb8fe582261a7cfde01bcd9cf9fd00a031
Author: Michael Davidsaver <mdavidsaver@gmail.com>
Date:   Thu Oct 1 10:16:08 2020 -0500

    config/i386/t-rtems: Change from mtune to march for multilibs
    
            * config/i386/t-rtems: Change from mtune to march when building
            multilibs.  The mtune argument tunes or optimizes for a specific
            CPU model but does not ensure the generated code is appropriate
            for the CPU model. Prior to this patch, i386 compatible code
            was always generated but tuned for later models.

diff --git a/gcc/config/i386/t-rtems b/gcc/config/i386/t-rtems
index 7626970fd76..5f078c606c1 100644
--- a/gcc/config/i386/t-rtems
+++ b/gcc/config/i386/t-rtems
@@ -17,10 +17,10 @@
 # <http://www.gnu.org/licenses/>.
 #
 
-MULTILIB_OPTIONS = mtune=i486/mtune=pentium/mtune=pentiumpro msoft-float
+MULTILIB_OPTIONS = march=i486/march=pentium/march=pentiumpro msoft-float
 MULTILIB_DIRNAMES= m486 mpentium mpentiumpro soft-float
 MULTILIB_MATCHES = msoft-float=mno-80387
-MULTILIB_MATCHES += mtune?pentium=mtune?k6 mtune?pentiumpro=mtune?athlon
+MULTILIB_MATCHES += march?pentium=march?k6 march?pentiumpro=march?athlon
 MULTILIB_EXCEPTIONS = \
-mtune=pentium/*msoft-float* \
-mtune=pentiumpro/*msoft-float*
+march=pentium/*msoft-float* \
+march=pentiumpro/*msoft-float*

